QGIS freezes on MacOS 10.14 (and Qt 5.11) when launched from Launch Services (works ok when 

launched from terminal)
I've just installed the latest verion of QGIS (3.4.0) on a MacBook Pro 13" (3.3 GHz Core I7) MacOS 10.14. The application seemed to

work fine at first. On a certain point I've tried to open a recent project via Project/Open menu and had a system freeze for 12 seconds.

During that time the whole system was not at all responsive (just mouse moves did work). None of the other applications worked in any

way, I couldn't even move other app's windows, the system monitor didn't show any significant increase of activity and instead of the

expected functional filemanager-window a tiny little inactive shadow of the filemanager-window was displayed ... as you might identify in

the added image.

I was able to reproduce this behavior for several times - even after restart of QGIS.

The whole thing might be related to stackexchange article 

https://gis.stackexchange.com/questions/300626/qgis-3-4-0-madeira-unresponsive but it is on a mac and it doesn't seem to affect the

"rest" of QGIS.

Related issues:

Related to QGIS Application - Bug report # 20323: OS X Mojave - Open File Dialog Closed 2018-11-02

Duplicated by QGIS Application - Bug report # 20979: File Dialogue boxes SLOW... Closed 2019-01-11

Duplicated by QGIS Application - Bug report # 21070: [QGIS 4 Mac] Freeze at o... Closed 2019-01-22

History

#1 - 2018-11-06 08:48 PM - Saber Razmjooei

- Category changed from Browser to Project Loading/Saving

- Status changed from Open to Feedback

Have you tried with a clean and new profile?

#2 - 2018-11-07 10:56 AM - robert kalasek

not yet ... it seems that any "system-dialog" which is related to file-actions causes that kind of freeze. e.g. in gpx-plugin: on opening "select files".

#3 - 2018-11-07 11:14 AM - robert kalasek

- File IMG_6970.jpg added
just changed to a fresh profile by deleting everything in /Users/xxxxxx/Library/Application Support/QGIS/QGIS3/profiles and restarting qgis 3. nothing has

changed - as you can see in the attached file the "ghost image" of the dialog is still popping up while the whole system is somehow halted for more than 10

seconds. the window's size changes to the dimensions one would expect thereafter and the dialog is active. but any kind of activity within that open

"finder"-window, like changing to a different folder triggers another 10sec freeze.

#4 - 2018-11-07 11:30 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Category changed from Project Loading/Saving to mac_os_specific

- Status changed from Feedback to Open

- Priority changed from Normal to High

#5 - 2018-11-10 03:52 PM - Rhenriques Henriques

This problem seems to be linked to folder refresh in opening dialogues. If we have list view enabled and use the small arrow to expand folders, the problem

disappears. If we have to open folders, QGIS will freeze in each opening for some seconds (sometimes more than 10). So, for now, to deal with this

problem before a definitive solution, use list view in opening dialogues. 

Cheers

#6 - 2018-11-12 11:05 AM - robert kalasek

list view is enabled by default on my mac. using the "small arrows" somehow really bypasses the problem in certain situations !

but it doesn't help for instance when you try to open data sources in "data source manager" (cmd + L). even if the default file/folder view is set to list,

opening any file-related dialog triggers the (up to 15 sec) break and it freezes the whole system (which is pretty strange !).

since the data source manager still is the appropriate way to import f.i. csv-data properly (see 

https://gis.stackexchange.com/questions/89269/how-to-change-a-csv-layer-attribute-value-from-text-to-number-once-again) this is a substantial issue.

#7 - 2018-11-13 01:34 AM - Rhenriques Henriques

Yes, robert, using the small arrows is only a way to circunvent this problem in certain situations. The bug must be corrected because there are more

situations that it can occur than the ones where we can use small tricks to avoid it. This is now one of the only bugs that keep me from migrating to this new

version.

#8 - 2018-11-13 01:27 PM - Rhenriques Henriques

We can minimize this problem for now by using the Browser Panel. Not the most desirable solution but still funcional. I've right clicked "Favorites" and

created a few folders with my projects or layer sources. Browsing files with this option does not suffer from the lag that the system dialog boxes show. 

Cheers

#9 - 2018-11-14 10:08 AM - robert kalasek

the faforites workaround is exactly the way i did it ;)

recent version 3.4.1 unfortunately doesn't solve the problem - do you know where i can download a 3.3 version for mac ?

#10 - 2018-11-14 10:27 AM - robert kalasek
... by the way: /Volumes entry in Browser Panel doesn't work either. workaround via Favorites is ok for this issue as well - but you have to be patient on

opening the file-manager for specifying the favorites-entry ... 10 sec break.

#11 - 2018-11-17 06:06 PM - Rhenriques Henriques

This problem seems to be linked to William´s compilation being built against QT 5.11.1. If we compile directly from OSGeo4, for instance using the formula

"brew install osgeo/osgeo4mac/qgis3" in the terminal, the resulting version is built against QT 5.11.2 and does not show this problem. However,

unfortunately, SAGA modules are not mounted correctly in this version. William's compilation is more complete and functional to MacOS when compared to

OSGeo4 one. The latest 3.4.1-4 version does not have any lag in High Sierra (10.13.6). This seems to be linked to the OS version.

#12 - 2018-11-20 12:49 AM - Willem Buitendyk

I noted this same issue with Bug report #20323.  Initially after installing via homebew using the osgeo formula everything worked well.  Unfortunately, as of

today its back to the same problem.  Whenever I go to open a file dialog it will freeze the entire QGIS for 10 seconds for almost every action I click on in the

file browser dialog.  I do not have my Mac to automatically install updates so I don't think anything in Mojave changed.  Very frustrating - especially since I

thought I had remedied the problem.

#13 - 2018-11-20 09:09 AM - robert kalasek

it's frustrating indeed. in particular because there seems to be a lack on pre release testing for mac for quite a while. offering ressorces about two years ago

didn't catch any attention and thus it's kind of a groundhog day sitiation on every release ...

#14 - 2018-11-20 11:44 AM - Giovanni Manghi

robert kalasek wrote:

offering ressorces about two years ago didn't catch any attention

in the users mailing list? developers?

#15 - 2018-11-20 12:36 PM - robert kalasek

in bug report list and in gis.stackexchange.com

#16 - 2018-11-25 12:43 PM - Valerio Frabotta

hi, same problem here and seems nothing has changed with the new version (3.4.2-1) on mojave 10.14.1 .

it's very frustrating... someone can do something to help us?

#17 - 2018-11-26 11:43 PM - Giovanni Manghi

someone can do something to help us?
us who? macos users? your company/institution?

#18 - 2018-11-29 11:50 AM - robert kalasek

in my personal case "us" is academic teacher ... giving an introductory course to GIS for about 120 students a year and i am really interested in drawing

attention to non commercial software.

on stackexchange somebody suggested to spend money for fixing that issue. i am sorry teachers usually aren't that prosperous so the only thing i can do is

what i have done already ... offering pre release testing.

that could potentially help to release stable versions on all platforms. and propably that is what anybody expects - at least when it comes to LTR-releases.

#19 - 2018-11-29 12:55 PM - Valerio Frabotta

Giovanni Manghi wrote:

someone can do something to help us?

us who? macos users? your company/institution?

is that really important?

#20 - 2018-11-30 02:20 AM - Hamish Campbell

Hi, confirming the same issue, 3.4.1-Madeira built with QT 5.11.1 on OSX Mojave (10.14.1) installed from the package that was published at 

https://qgis.org/en/site/forusers/download.html.

3.4.2-Madeira is now available there, built against QT 5.11.2. The issue still exists in this build.

As an aside, I've attempted install from brew to see if the problem exists there, but it fails to build:

==> cmake --build . --target all -- -j 4

Last 15 lines from /Users/hamish/Library/Logs/Homebrew/qgis3/31.cmake:

      QgsPythonUtilsImpl::PyObjectToQString(_object*) in qgspythonutilsimpl.cpp.o

  "_Py_Finalize", referenced from:

      QgsPythonUtilsImpl::exitPython() in qgspythonutilsimpl.cpp.o

  "_Py_Initialize", referenced from:

      QgsPythonUtilsImpl::init() in qgspythonutilsimpl.cpp.o

  "__Py_NoneStruct", referenced from:

      QgsPythonUtilsImpl::getTraceback() in qgspythonutilsimpl.cpp.o

      QgsPythonUtilsImpl::PyObjectToQString(_object*) in qgspythonutilsimpl.cpp.o

      QgsPythonUtilsImpl::getError(QString&, QString&) in qgspythonutilsimpl.cpp.o

ld: symbol(s) not found for architecture x86_64

clang: error: linker command failed with exit code 1 (use -v to see invocation)

#21 - 2018-11-30 02:27 AM - Hamish Campbell

Hm, have rolled back to 3.2.3 and I'm still seeing the issue.
#22 - 2018-11-30 09:59 AM - Valerio Frabotta

Hamish Campbell wrote:

Hm, have rolled back to 3.2.3 and I'm still seeing the issue.

me too

#23 - 2018-12-03 09:16 PM - Hamish Campbell

I have not been able to rebuild from homebrew unfortunately.

I've tried new profiles, deleting existing profiles, no change.

This closed report is the same #20323

What other info would be useful to provide?

#24 - 2018-12-04 11:46 AM - Jürgen Fischer

- Related to Bug report #20323: OS X Mojave - Open File Dialog added

#25 - 2018-12-04 08:30 PM - Willem Buitendyk

I created a new profile and everything is working again without freezing or delays.  I don't understand why though?  Can anyone else confirm that if they

create a new profile the file dialog is buttery smooth again?  This is with 3.4.2 installed from homebrew.

#26 - 2018-12-04 10:19 PM - Willem Buitendyk

Interesting.  Creating the new profile has sped up QGIS is so many ways.  I had a large vector layer that was slow to pan and zoom in and out of.  It's like it

wouldn't cache it properly.  Since I created the new profile its absolutely amazing.  I have very speedy zooming in and out of the layer.  Again, I don't know

what's up with the default profile but what a difference.

#27 - 2018-12-05 05:52 PM - Giovanni Manghi

Willem Buitendyk wrote:

Interesting.  Creating the new profile has sped up QGIS is so many ways.  I had a large vector layer that was slow to pan and zoom in and out of. 

It's like it wouldn't cache it properly.  Since I created the new profile its absolutely amazing.  I have very speedy zooming in and out of the layer. 

Again, I don't know what's up with the default profile but what a difference.

bad code in 3rd party plugins, legacy configs.

Can we close this issue?

#28 - 2018-12-05 05:52 PM - Giovanni Manghi

- Status changed from Open to Feedback
#29 - 2018-12-05 07:44 PM - Hamish Campbell

Giovanni Manghi wrote:

Willem Buitendyk wrote:

Interesting.  Creating the new profile has sped up QGIS is so many ways.  I had a large vector layer that was slow to pan and zoom in and out of. 

It's like it wouldn't cache it properly.  Since I created the new profile its absolutely amazing.  I have very speedy zooming in and out of the layer. 

Again, I don't know what's up with the default profile but what a difference.

bad code in 3rd party plugins, legacy configs.

Can we close this issue?

Note that Willem was using QGIS built from homebrew. Most people are reporting that homebrew builds are unaffected, but builds downloaded from

QGIS.org still have the bug and replacing profiles doesn't appear to help. In my case, I've tested 3.2,3 3.4.1, 3.4.2 with empty profiles and no extra plugins.

Question: does anyone have 3.4.2, installed from the qgis.org binaries, working properly under Mojave?

#30 - 2018-12-06 03:49 PM - robert kalasek

i've started with a new profile when i reported that problem at the beginning of november. and (!) the first suggestions from Saber Razmjooei 30 days ago

where pointing into the same direction. so that can't be the "solution". willem's note is a bit unspecific ... "speeds up QGIS in so many ways ...". yes it does -

but it is not connecte to the "freezes issue" - as far is my qgis on my mac is concerned. i am still on qgis.org version and have tried 3.4.2 (as described 11

days ago). if anybody is interested i could supplement giovanni's feedback with a homebrew install + new profile + no plugins on mojave 10.14.1 mbp 13"

with intel iris graphics 550

#31 - 2018-12-06 04:59 PM - k takami

I had the same problem but found a way to avoid it, launching the executable file of QGIS from Terminal.app as

/Applications/QGIS3.app/Contents/MacOS/QGIS

It seems to be working fine. Try it.

macOS Mojave 10.14.2, QGIS 3.4.2-Madeira (downloaded from qgis.org)

#32 - 2018-12-06 08:10 PM - Willem Buitendyk

Robert - it was indeed connected to freeze issues for me.  Prior to creating a new profile I was experiencing the 10 second full freeze when trying to open a

file.  That was in fact the major problem I was experiencing.  It just so happened that I also noticed the program was snappier overall - remarkably so.  k

tatami's response is interesting.  Because I installed through home-brew its default method to launch QGIS is through the terminal of which I created a

shortcut.  It appears he's saying if you do the same with the package supplied by QGIS.org that it will remedy this as well.  As a matter of fact, my first clue

to try a new profile was because I decided to launch qgis3 from terminal with sudo which worked fine.

#33 - 2018-12-06 08:43 PM - Hamish Campbell

k takami wrote:

I had the same problem but found a way to avoid it, launching the executable file of QGIS from Terminal.app as

/Applications/QGIS3.app/Contents/MacOS/QGIS
It seems to be working fine. Try it.

macOS Mojave 10.14.2, QGIS 3.4.2-Madeira (downloaded from qgis.org)

Ah ha, yes I can confirm this works for me using iTerm.

This made me wonder if was something to do with system security preferences since iTerm already had additional Full Disk Access and Accessibility

rights. I added QGIS3 (missing the Full Disk Access rights) however it made no difference to QGIS3 launched from Launchpad.

At least its usable now, and this should be a pretty big clue as to the underlying cause.

#34 - 2018-12-06 08:50 PM - Philip Kampf

k takami:

I had the same problem but found a way to avoid it, launching the executable file of QGIS from Terminal.app as

/Applications/QGIS3.app/Contents/MacOS/QGIS

It seems to be working fine. Try it.

macOS Mojave 10.14.2, QGIS 3.4.2-Madeira (downloaded from qgis.org)

Also can confirm this method is working, the new profile did not provide a solution, same freezing occurred when opening to a new profile and still persisted

when default had been removed from folder, leaving only new profile.

#35 - 2018-12-06 08:55 PM - Hamish Campbell

So, to summarize, when launched with Launch Services, the bug manifests. Clearing Info.plist doesn't make a difference.

#36 - 2018-12-07 02:27 PM - Giovanni Manghi

- Subject changed from QGIS 3.4.0 system freeze on MacOS 10.14 to QGIS 3.4.2 freezes on MacOS 10.14 when launched from Launch Services 

(works ok when launched from terminal)

- Status changed from Feedback to Open

- Affected QGIS version changed from 3.4.0 to 3.4.2

#37 - 2018-12-10 11:53 AM - robert kalasek

just started brew install via brew install osgeo/osgeo4mac/qgis3 ... at a glance on install process i saw something like "python 3.7.x installed in cellar" which

leaves me nevous. python 3.6. was running pretty well on my mac and i once had 3.6. and 3.7. confusion with tons of trobles to get rid of them. did anybody

have python-troubles after brew install ???

#38 - 2018-12-10 01:42 PM - robert kalasek

unfortunatly brew install didn't work on my machine. almost everything is there, but the qgis3 folder in usr/local/Cellar/ is missing.

#39 - 2018-12-10 02:01 PM - robert kalasek

2024-03-08 7/13



unfortunatly brew install didn't work on my machine. almost everything is there, but the qgis3 folder in usr/local/Cellar/ is missing. the log-files from

~/Library/Logs/Homebrew/qgis3 show a huge amount of log-files, where some of the indicate that files have been added to /usr/local/Cellar/qgis3/3.4.2_1/

without errors - yet, the folder qgis3 is missing in ./Cellar at the end of the install process. homebrew's feedback in the terminal doesn't show any specific

messages either....

#40 - 2018-12-13 04:43 PM - robert kalasek

thx to peter petrik and his post in [https://github.com/OSGeo/homebrew-osgeo4mac/issues/553]  i have found a version that doesn't trigger a system freeze

every time a file-related acitivity is started. most users on OSGeo suggested the homebrew-version, which didn't work for me - potenially due to a python

3.6 - 3.7 problem. homebrew removed the qgis3-install folders before finishing the install every time. 

packages provided by lutraconsulting here work fine and do not cause the freeze: https://lutraconsulting.github.io/qgis-mac-packager/packages. ... so, that

is no solution but a promising workaround !

that package uses python 3.7 (!) which might cause troubles - thus my next step will be to find out how to switch from 3.6.x to 3.7. without affecting anything

that is doing it's job right now. any recomendation concerning this python-swich are highly appreciated !

#41 - 2019-01-05 12:14 PM - bradypus -

I do confirm that version 3.4.3 is also affected by this issue.

#42 - 2019-01-07 09:16 AM - Giovanni Manghi

- Subject changed from QGIS 3.4.2 freezes on MacOS 10.14 when launched from Launch Services (works ok when launched from terminal) to QGIS 

freezes on MacOS 10.14 when launched from Launch Services (works ok when launched from terminal)

- Affected QGIS version changed from 3.4.2 to 3.4.3

#43 - 2019-01-11 07:22 PM - Ken Nussear

k takami wrote:

I had the same problem but found a way to avoid it, launching the executable file of QGIS from Terminal.app as

/Applications/QGIS3.app/Contents/MacOS/QGIS

It seems to be working fine. Try it.

macOS Mojave 10.14.2, QGIS 3.4.2-Madeira (downloaded from qgis.org)

I'm having the same freezing issue with 3.4.3 (and had it with earlier versions - all from qgis.org). The terminal launch absolutely solves the problem. Great

work around.

#44 - 2019-01-11 09:45 PM - Jürgen Fischer

- Duplicated by Bug report #20979: File Dialogue boxes SLOW on osx added

#45 - 2019-01-12 02:13 PM - robert kalasek

after removing everithing that i've been trying the last two months (from homebrew to lutraconsulting and any existing version of any existing pyhton) i

started from sratch by 

- installing python 3.6.8 from python.org

- installing qgis 3.4.3 from qgis.org

and tried to start via terminal with "open -n /Applications/QGIS3.app" - with a new profile.
and i still get the system freeze ... so starting from terminal is not a workaround ! - at least not for me.

opening file dialogue causes a 10 - 13sec freez and even worse any single hop within the folder hierarchy results in a 10-13sec system freeze.

(... on march 4th i am going to start a lecture/course with about 120 students - about 15 of them with mac. no idea how to handle that because none of them

is able to homebrew or switch from python 3.7 back to 3.6 with massive terminal use ... and: sorry, i do not have ressources to start a funding initiative)

rk mbp 10.14.2 / 13" 2016 / 3.3 I7 / 16GB

#46 - 2019-01-12 02:28 PM - Justin DeNormandie

try this instead:

open /Applications/QGIS3.app/Contents/MacOS/QGIS

#47 - 2019-01-12 02:34 PM - robert kalasek

woooo ... pretty strange: "open /Applications/QGIS3.app/Contents/MacOS/QGIS" works ! thx a lot

#48 - 2019-01-12 02:36 PM - bradypus -

Hi @robert,

you should not open it using:

$ open -n /Applications/QGIS3.app

but simply:

$ /Applications/QGIS3.app/Contents/MacOS/QGIS

I created a simple bash script containing the following two lines and saved it in my desktop. I'm launching QGIS double-clicking on it (you should also

chmod -x it).

#!/bin/bash

/Applications/QGIS3.app/Contents/MacOS/QGIS

It is not a solution, but a workaround...

#49 - 2019-01-25 06:11 PM - bradypus -

This issue is confirmed for v 3.4.4 too. See also #21070

#50 - 2019-01-25 10:09 PM - Jürgen Fischer

- Duplicated by Bug report #21070: [QGIS 4 Mac] Freeze at opening added

#51 - 2019-01-29 02:45 PM - Peter Petrik
I am not able to replicate the issue on my computer, but I made some research on QFileDialog issues.

For the launch from terminal vs launch from Launch Services: Homebrew QGIS package uses the bash script to launch QGIS.app. Lutra's package does

not use the bash script and launches QGIS directly. I assume the same for official QGIS package.

QGIS uses QFileDialog class directly, which uses native MacOS dialog. Calls to QFileDialog are simply QFileDialog::getOpenFile() with pretty much no

extra options, so it is very unlikely that QGIS code causes the problems. So the problem may be in:

1) QGIS package (e.g. bash script, direct call, different Info.plist package description, environment settings for the package, linked libraries, ...)

2) QT upstream issue in QFileDialog (and there are some open issues in their tracker)

3) MacOS native file dialog issue (e.g. QGIS package(s) compiled with different XCode and supported-os/sdk flags)

4) Local issue (e.g. see https://discussions.apple.com/thread/2586901)

4a) default dialog folder is set up to the directory with a lot of files 

4b) disk is (almost) full or heavily fragmented

4c) connected some slow network drive

4d) some unreliable hardware (external disk, usb flash disk, ...)

4e) anti-virus

It would be beneficial for debugging to know:

- if the bug is reproducible (after restart of PC, after restart of QGIS, with the different OS user, safe-mode, ...?)

- if on the same computer it happens with all packages or just official one

- if the bug can be observed only for QGIS or also for some other (QT based) applications

- if it is reproducible from system Python installation by doing something along the lines 'from PyQt5.QtCore import *; d = QFileDialog()'.

Thanks for any hints/observations...

#52 - 2019-01-30 09:11 AM - robert kalasek

surprising that you couldn't replicate ...

concering 4b to 4e i can provide information:

- disk is at about 75% of 500GB, not fragmentet

- network is gigabit and the problem exists with and without network connection

- no external hardware 

- anti-virus: due to company reguation -> symantec endpoint protection 14.2.0

- bug is reproducible after restart of the MB, after restart of QGIS, just tested with MacOS 10.14.x

- just with the official one, homebrew version failt to install due to a python issue, lutraconsulting worked but uses python 3.7

#53 - 2019-01-30 10:01 AM - Peter Petrik

hmm, I heavily suspect that this could be simple as that Qt 5.11 does not support Mojave (https://blog.qt.io/blog/2018/11/08/qt-macos-10-14-mojave/), and

maybe connected with Mojave's "Core Animation (CA) layer backing is enabled for all native views". This would explain why it is not happening on Lutra's

and homebrew installations, since we are already on 5.12 for some time. Also would explain why I cannot replicate, since I use Qt 5.12 for development.

Can you please check in your QGIS Menu -> About dialog -> "Compiled against Qt?"

#54 - 2019-01-30 10:04 AM - robert kalasek

qgis verion: 3.4.3, compiled against qt 5.11.2 (running against too) ...

(just to get you right: official qgis LTR uses QT version which is not supporting current OS release ?)
#55 - 2019-01-30 10:46 AM - Peter Petrik

- Assignee set to William Kyngesburye

- Subject changed from QGIS freezes on MacOS 10.14 when launched from Launch Services (works ok when launched from terminal) to QGIS freezes 

on MacOS 10.14 (and Qt 5.11) when launched from Launch Services (works ok when launched from terminal)

- Category changed from mac_os_specific to Build/Install

- Affected QGIS version changed from 3.4.3 to 3.5(master)

macOS Mojave launch was on September 24 2018, this bug was reported 3 months ago (~Oct/Nov). Related that it does not occurs with installers based

on Qt 5.12 and officially Qt states that "We encourage upgrading to Qt 5.12 to get fixes for macOS 10.14" I think that this is really related to Qt 5.12. Only

solution I see it to rebuild official packages with Qt5.12 and retest

#56 - 2019-01-30 05:08 PM - William Kyngesburye

That Qt blog didn't say anything specific about file dialog problems.

I don't want to make such a major change in a LTR, who knows what else may break, or what other limitations may be introduced.  One limitation I do see

is that the minimum macOS SDK version is now 10.13 (with a new min target 10.12) - I would have to upgrade my system to build with Qt 5.12 (currently

at 10.12, and 10.13 is max for my Mac).  And we would lose support for 10.11, currently in the LTR.  This "fix" should wait for QGIS 3.6.

What about APFS?  This new file system is optional in macOS High Sierra, but forced in Mojave for SSD drives (and with the latest update I think it also

forces it on spinning drives).  This could affect file dialogs, and would be likely fixed by Qt 5.12.  Though I suspect Qt had this figured out already, since

APFS was released with High Sierra, before Mojave and Qt 5.12. ...hmmm, I did hear about a version update for APFS, maybe that broke older Qt 5.11.

For the terminal start workaround: note that when running this way, QGIS gets the terminal environment.  Normal double-click (ie Launch Services) starting

gives any application an empty environment (though QGIS does get some environment).  So maybe there is something in the terminal environment that

helps QGIS/Qt with file dialogs. If this can be identified, adding it to the QGIS environment (QGIS Preferences-System) may be a good workaround, or

solution if it's something that can be coded into QGIS.

#57 - 2019-01-31 03:53 AM - Hamish Campbell

I've checked and compared environment settings for QGIS running via terminal vs open and I can't find any differences that change the behaviour.

One observation: as well as stalling on opening file dialogs, it will stall very early in the boot process. Since I assume QGIS isn't silently called out to

`QFileDialog` during the boot process, it seems like the root cause is something deeper. What could be happening in boot that also happens when the file

dialog is opened?

#58 - 2019-01-31 03:35 PM - Peter Petrik

based on https://store.steampowered.com/hwsurvey December 2018 results, 50% of Mac users already use 10.14.x , 30% 10.13.x and only 20% 10.12.x.

Not sure what is the QGIS user base distribution.

#59 - 2019-01-31 04:59 PM - William Kyngesburye

(Um, that survey is for STEAM, a game platform)

#60 - 2019-02-05 01:00 PM - Yaroslav Vasyunin

- File Screenshot 2019-02-05 at 14.54.16.png added
I have the same issue (QGIS 3.4.4, Mac 10.14.2). Running new clean profiles and complete re-installation of QGIS didn't work. But I found a workaround

. On your Mac, go to "System Preferences"-> "Security & Privacy" -> "Privacy" -> "Accessibility", and disable QGIS. It worked for me. After that, starting

QGIS from the Mac launchpad doesn't lead to frozen finder dialogues. See the attached screenshot.

#61 - 2019-02-05 06:21 PM - robert kalasek

just was able to verify yaroslav vasyunin's approach. it worked (!!!) 

but for some reasons it seemed suspicious to me - i have reactivated the privacy/accessibility for QGIS 3.4.3 - and it still works. even after restart oft the

machine -> no freezes.

summary: i still don't have the system-freezes even though the original settings are applied again. 

strange it is.

#62 - 2019-02-05 06:39 PM - William Kyngesburye

Interesting.  QGIS does not show up in the Security-Accessibility app list on Sierra, and I don’t know why QGIS would explicitly want to be able to control

the computer, so I wonder if Mojave saw something in Qt that is not used by QGIS that it thinks is an Accessibility function.

One thing to try - remove QGIS from the accessibility app list.  Does QGIS file dialog problem return?  Is QGIS added back to the list (and is it checked or

not), or does QGIS ask about accessibility?

If this workaround can be verified, I’ll add it to the readme.

#63 - 2019-02-05 06:47 PM - robert kalasek

just tested with the latest release 3.4.4 from qgis org - download 2019-02-05, 18:30 (version is compiled against QT 5.11.2). 

- removed qgis3 from the accessibility app list 

- reactivated qgis3 on the accessibility app list again

the freeze doesn't show up again. qgis doesn't ask for anything no matter if activated or deactivated. and qgis3 seems to work with both settings without

any problems so far.

and i just try to remember an issue i had some time ago with the privacy/accessibility settings. i think it was something about using trackpad on mac - but i

am not sure and i couln't find something related to that topic via google !

#64 - 2019-02-07 10:16 AM - Hamish Campbell

Heh, seems I got so so close to a workaround earlier :D

https://issues.qgis.org/issues/20381#note-33

Hamish Campbell wrote:

This made me wonder if was something to do with system security preferences since iTerm already had additional Full Disk Access and

Accessibility rights. I added QGIS3 (missing the Full Disk Access rights) however it made no difference to QGIS3 launched from Launchpad.

At least its usable now, and this should be a pretty big clue as to the underlying cause.

Can confirm that the work around works for me too.
#65 - 2019-03-30 08:35 PM - MRick -

- File Screenshot 2019-03-30 at 20.32.54.png added

Check in the system preferences if you unactivated QGIS to control the computer.

When I uncheck QGIS, the freezes disappeared.

System Preferences > Security & Privacy > Privacy > Accessibility.
